<!DOCTYPE html>
<html lang="en">

	<head>
		<meta charset="UTF-8">
		<title>RPG Game</title>
		<!--<link rel="stylesheet" type="text/css" href="style.css"> -->
		<script type="text/javascript" src="lib/jquery-3.5.0.min.js"></script>
	</head>
	<body>
		<a href="cloud/">Управление проектом</a>
		Логин гита<input id="gitlogin">
		Пароль гита<input id="gitpasswd">
		Ветка гита <input id="gitbranch">
		<h3>main_prod <br> master</h3>
		<button id="send" onclick="pullrequest()">Загрузить на сервер</button>
		
		<script>
		function pullrequest(){
		var login = document.getElementById("gitlogin").value;
		var password = document.getElementById("gitpasswd").value;
		var branch = document.getElementById("gitbranch").value;
		//alert(login+' '+password);
		 $.ajax({
					type: 'POST', // метод
					url: 'getfromgit.php', // скрипт который получит отправление
					//dataType: 'json', // тип послания
					data: { // тут создаем json со значением которое нужно
						gitlogin: login,
						gitpasswd: password,
						gitbranch: branch
					},
					success: function (data) { // необязательная функция, срабатывает при успехе
					  alert(data);
					  
		 
					},
					error: function () {// необязательная функция, срабатывает при неудаче
					 alert('Error');
					}
				});
				};
		</script>
	</body>
</html>